\section{Federation}
Federate identity Management is the use of agreements, standards, and technologies to make identity and entitlement portable across autonomous identity domains. The goal of federation is to enable transparent and secure exchange of identity information to enable disparate system to interoperate at the security level. 

Without Federation: \\
\includegraphics[width=\textwidth]{nofederation}
With Federation: \\
\includegraphics[width=\textwidth]{withfederation}

\subsection{What is Federation?}
A set of organizations agreeing on a common set of rules and standards Goal: Cooperate in inter-organizational authentication, authorization and accounting. (IdP Identity Provider) 

\includegraphics[width=\textwidth]{federation}

\subsection{Sibboleth}
Open Source Middleware developed by Internet2 >4 00 U.S. universities and corporate partners. Federations:  Sharing Resources across Domains. Based on SAML assertions issued by trusted home organizations (Identity Providers) and accepted by resources (Service Providers) that are federation members. National Federations in over 40 countries. SWITCH AAI: 70 home organisations with 350‘000 potential users and 600 AAI resources in 2018.

\includegraphics[width=\textwidth]{shibboleth.png}
\includegraphics[width=\textwidth]{shibbolethback.png} 

\subsection{XML Security and SAML}
XML Signature Syntax and Processing. 

\begin{enumerate}
	\item Defined by W3C REC-xmldsig-core-20080610/  (RFC 3275) 
	\item Namespace: xmlns:ds="http://www.w3.org/2000/09/xmldsig\#" 
	\item XML signatures provide integrity, message authentication, and or signer authentication services.
\end{enumerate}

XML Encryption Syntax and Processing
\begin{enumerate}
	\item Defined by W3C REC-xmlenc-core-20021210/
	\item Namespace: xmlns:xenc="http://www.w3.org/2001/04/xmlenc\#"
	\item XML encryption defines a process for encrypting data (Including an XML document, an XML element, or XLM element content).
\end{enumerate}

\subsection{OAuth 2 Authorization Framework}
T he goal is that an app can access your data at some service: E.g., access your Google calendar data. But without that your password is revealed to the app The app can only access data and operations outside of the app context. And you remain able to revoke the app’s access to the data. 

\includegraphics[width=0.75\textwidth]{oauth} 

\includegraphics[width=0.75\textwidth]{oauthflow}

OAuth 2.0 is an http[s]-based authorization protocol only. OAuth 2.0 is an http[s]-based authorization protocol only. OAuth 2.0 is used by Amazon, Dropbox, Facebook, GitHub, Google, Instagram, LinkedIn, Microsoft, PayPal, Twitter and many others.

\subsection{OpenID Connect Authenticaton Layer}
Designed to solve the problem of: Having to get an ID per service (website), Managing passwords per site, Layer on top of OAuth 2.0. Decentralized mechanism for single sign-on: Access different services (sites) using the same identity, Simplify account creation at new sites, User chooses which OpenID provider to use, OpenID does not specify authentication protocol - up to provider, Website never sees your password.

\subsubsection[width=0.75\textwidth]{OpenID Connect Authentication}

OAuth requests that you specify a “scope”:  List of access methods that the app needs permission to use. To enable user identification: Specify “openid” as a requested scope. Send request to server (identity provider): Server requests user ID and handles authentication. Get back an access token: If authentication is successful, the token contains: user ID, approved scopes, expiration same as with OAuth requests for authorization.

\subsection{OpenID Connect Technologies}
OpenID Connect 1.0 is a simple identity layer on top of OAuth 2.0.

\begin{description}
	\item[ Relying Party (RP): Service Provider]
	\item[OpenID Provider (OP):  Identity Provider]
\end{description}

RP (OAuth 2.0 Client) requests a signed ID Token authenticating. User (OAuth 2.0 Resource Owner) from: OP (OAuth 2.0 Authorization/Resource Server).
OpenID Connect 1.0 specifies a REST-based http API, using JSON. \\
OpenID Connect 1.0 uses a JSON Web Token (JWT) which can be signed using JSON Web. \\
Signature (JWS) and optionally encrypted using JSON Web Encryption (JWE). \\
OpenID Connect 1.0 is used by Google+ Sign-In, Microsoft Azure Active Directory, Amazon AWS and others. 

\includegraphics[width=\textwidth]{openidc}
